| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::Recorder Class Reference

`#include <RecordPlayback.hpp>`

## Public Member Functions
| Recorder ()
| Create a recorder for data recording. More...
| Recorder (std::unique_ptr< RecorderImpl > impl)
| Recorder (std::shared_ptr< Device > device)
| Create a recorder for data recording. More...
virtual | ~Recorder () noexcept
void | start (const char *filename, bool async=false)
| Enable the recorder, throw an exception after failure. More...
void | stop ()
| Stop the recorder, throw an exception on failure. More...
void | write (std::shared_ptr< Frame > frame)
| Write frame data to the recorder. More...

## Detailed Description

Definition at line 27 of file RecordPlayback.hpp.

## Constructor & Destructor Documentation

ob::Recorder::Recorder | ( |  | ) |

Create a recorder for data recording.

ob::Recorder::Recorder | ( | std::unique_ptr< RecorderImpl > | impl | ) |

ob::Recorder::Recorder | ( | std::shared_ptr< Device > | device | ) |

Create a recorder for data recording.

Parameters

  device | Devices that need to record device information

virtual ob::Recorder::~Recorder | ( |  | ) |
| virtual noexcept

## Member Function Documentation

void ob::Recorder::start | ( | const char * | filename,
|  | bool | async = `false`
| ) |  |

Enable the recorder, throw an exception after failure.

Parameters

  filename | Recorded file name
  async | Whether to execute asynchronously

void ob::Recorder::stop | ( |  | ) |

Stop the recorder, throw an exception on failure.

void ob::Recorder::write | ( | std::shared_ptr< Frame > | frame | ) |

Write frame data to the recorder.

Parameters

  frame | Write frame data

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/RecordPlayback.hpp